%global pypi_name sphinxcontrib-applehelp

Summary:       Sphinx extension for Apple help books
Name:          python-%{pypi_name}
Version:       1.0.2
Release:       3%{?dist}
License:       BSD
URL:           http://sphinx-doc.org/
Source0:       %{pypi_source}

BuildRequires: gettext python%{python3_pkgversion}-devel python%{python3_pkgversion}-sphinx
BuildRequires: python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-pytest

BuildArch:     noarch

%description
sphinxcontrib-applehelp is a sphinx extension which outputs Apple help books.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Sphinx extension for Apple help books

%description -n python%{python3_pkgversion}-%{pypi_name}
sphinxcontrib-applehelp is a sphinx extension which outputs Apple help books.

%prep
%autosetup -n %{pypi_name}-%{version}
find -name '*.mo' -delete

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done
%py3_build

%install
%py3_install

pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/applehelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -D sphinxcontrib/applehelp/locales/$lang/LC_MESSAGES/*.mo -t %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
done
rm -rf sphinxcontrib/applehelp/locales
ln -s %{_datadir}/locale sphinxcontrib/applehelp/locales
popd

%find_lang sphinxcontrib.applehelp

%check
%pytest

%files -n python%{python3_pkgversion}-%{pypi_name} -f sphinxcontrib.applehelp.lang
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_applehelp-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/sphinxcontrib_applehelp-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 1.0.2-1
- initial build
